#!/bin/sh

#----------------------------------------------------------------------------
# Bourne shell environment setup script for Geant4 9.5.2
#
# This script will configure your environment so that any Geant4 supplied
# tools, libraries and data are available in your PATH, library paths etc.
# Data libraries will only be setup if they were installed as part of the
# Geant4 installation.
#
# Source this script to perform the setup.
#
# This script is autogenerated by CMake DO NOT EDIT
#

#----------------------------------------------------------------------------
# Locate directory of self
#
# Self locate script when sourced
if [ "x${BASH_ARGV[0]}" = "x" ]; then
  # Not bash, so rely on sourcing from correct location
  if [ ! -f geant4.sh ]; then
    echo 'ERROR: cd to location of geant4 script and source it there'
    return 1
  fi
  geant4_envbindir=$(pwd)
else
  g4sls_sourced_dir=$(dirname ${BASH_ARGV[0]})
  geant4_envbindir=$(cd $g4sls_sourced_dir; pwd)
fi
      


#----------------------------------------------------------------------------
# Setup binary and library paths...
#

if test "x$PATH" = "x" ; then
  export PATH="$geant4_envbindir"
else
  export PATH="$geant4_envbindir":${PATH}
fi


if test "x$LD_LIBRARY_PATH" = "x" ; then
  export LD_LIBRARY_PATH="`cd $geant4_envbindir/../lib64; pwd`"
else
  export LD_LIBRARY_PATH="`cd $geant4_envbindir/../lib64; pwd`":${LD_LIBRARY_PATH}
fi


#----------------------------------------------------------------------------
# Resource file paths
# Data Library Paths are only set if they were installed by CMake
#
# ABLA Data not installed
# EMLOW Data not installed
# Photon Evaporation Data not installed
# NDL Data not installed
# Neutron Cross Section Data not installed
# Shell Ionization Cross Section Data not installed
# Radioactive Decay Data not installed
# RealSurface Data not installed

